pgbouncer 1.4.2-2ubuntu0.1 source package in Ubuntu

Changelog

pgbouncer (1.4.2-2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service when too long db name is provided
    (LP: #1083414)
    - debian/patches/2-CVE-2012-4575.patch: objects.c(add_database): fail
      gracefully if too long db name. Based on upstream patch.
    - CVE-2012-4575
 -- Christian Kuersteiner <email address hidden>   Tue, 04 Dec 2012 22:21:56 +0700

Upload details

Uploaded by:
Christian Kuersteiner on 2012-12-08
Sponsored by:
Marc Deslauriers
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Component:
main
Architectures:
any
Section:
database
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise updates on 2012-12-08 universe misc
Precise security on 2012-12-08 universe misc

Downloads

File Size MD5 Checksum
pgbouncer_1.4.2.orig.tar.gz 276.6 KiB 5083110b5b4f2127234bfc7b1f451f8d
pgbouncer_1.4.2-2ubuntu0.1.debian.tar.gz 7.9 KiB a654dfb71d887369a4e1029bc12df7c1
pgbouncer_1.4.2-2ubuntu0.1.dsc 2.1 KiB 389be5cf6283124f7e319b666054749a

View changes file

Binary packages built by this source

pgbouncer: lightweight connection pooler for PostgreSQL

 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.